Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.concurrent
Class NamedThreadFactory

    java.lang.Object
      org.mule.util.concurrent.NamedThreadFactory

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory

Direct Known Subclasses:
  DaemonThreadFactory

    public class NamedThreadFactory

extends Object
implements edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory

Constructor Summary
`NamedThreadFactory(String name)`
`NamedThreadFactory(String name, ClassLoader contextClassLoader)`

Method Summary
`protected void` | `configureThread(Thread t)`
`protected void` | `doConfigureThread(Thread t)`
`ClassLoader` | `getContextClassLoader()`
`edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong` | `getCounter()`
`String` | `getName()`
`Thread` | `newThread(Runnable runnable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedThreadFactory

    public NamedThreadFactory(String name)

### NamedThreadFactory

    public NamedThreadFactory(String name,
                              ClassLoader contextClassLoader)

Method Detail

### newThread

    public Thread newThread(Runnable runnable)

  Specified by:
    `newThread` in interface `edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory`

### configureThread

    protected void configureThread(Thread t)

### doConfigureThread

    protected void doConfigureThread(Thread t)

### getContextClassLoader

    public ClassLoader getContextClassLoader()

### getCounter

    public edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicLong getCounter()

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.